# OUTRIDER #
OUTRIDER is a tool to find aberrantly expressed genes in RNA-seq samples.
[Paper on bioRxiv](https://www.biorxiv.org/content/early/2018/06/14/322149)

[![Pipeline status](https://travis-ci.org/gagneurlab/OUTRIDER.svg?branch=master)](https://travis-ci.org/gagneurlab/OUTRIDER)
[![Version](https://img.shields.io/badge/Version-0.99.31-orange.svg)](https://github.com/gagneurlab/OUTRIDER/tree/master)
[![Coverage status](https://codecov.io/gh/gagneurlab/OUTRIDER/branch/master/graph/badge.svg)](https://codecov.io/github/gagneurlab/OUTRIDER?branch=master)
[![License](https://img.shields.io/github/license/mashape/apistatus.svg?maxAge=2592000)](https://github.com/gagneurlab/OUTRIDER/blob/master/LICENSE)

## Installation

`OUTRIDER` is an R software package requiring a running [R 3.4 version or higher](https://cran.r-project.org/).

We will use `BiocManager` to install the package and its dependencies.

```
if (!requireNamespace("BiocManager", quietly=TRUE))
    install.packages("BiocManager")
BiocManager::install('OUTRIDER')
```

If you have dependency issues while installing any package, please have a look at the Troubleshooting section.

### OUTRIDER development installation

To get the latest development version of `OUTRIDER` one can install it from GitHub with `devtools'.

```
install.packages('devtools')
devtools::install_github('gagneurlab/OUTRIDER', dependencies=TRUE)
``` 

### Quick tour through OUTRIDER

To get started with `OUTRIDER`, please have a look at our [vignette](http://bioconductor.org/packages/devel/bioc/vignettes/OUTRIDER/inst/doc/OUTRIDER.pdf).
In order to get the pdf version, please type the following code in an R session:

```
library(OUTRIDER)
vignette('OUTRIDER')
```

### Toubleshooting

#### Missing libraries while compiling R packages

On some Linux distributions we need the developer libraries for compiling the R packages.

To install those packages, please run as administrator: 

For Ubuntu or debian based systems:
```
sudo apt-get install build-essential libcurl4-gnutls-dev libxml2-dev libssl-dev zlib1g-dev libmysqld-dev
```

For centOS or RHEL based systems:
```
sudo yum install R-devel zlib-devel openssl-devel libcurl-devel libxml2-devel mariadb-devel
```